#ifndef __Executor__
#define __Executor__
#include <vector>

#include "CqEventData.hpp"
#include "RdmaEndpointGroup.hpp"
#include "ConcurrentQueue.hpp"
#include "TaskThread.hpp"
#include "Logger.hpp"
class Executor
{
    int _size{0};
    std::vector<TaskThread *> _taskThreads{NULL};
    ConcurrentQueue *_taskQueue{NULL};
    RdmaEndpointGroup *_group;

public:
    Executor(int size, RdmaEndpointGroup *group);
    void submit(struct ibv_wc *task);
    void getTask();
    void stop();
};
//long affinities[]
#endif