#include "Executor.hpp"
Executor::Executor(int size, RdmaEndpointGroup *group)
    : _size(size), _group(group)
{
    _taskQueue = new ConcurrentQueue();
   // _taskThreads = new std::vector<TaskThread *>();
    _taskThreads.reserve(size);
    for (int i = 0; i < _size; i++)
    {
        TaskThread *thread = new TaskThread(i, _taskQueue, _group);
        _taskThreads.push_back(thread);
    }
}
void Executor::submit(struct ibv_wc *task)
{
    _taskQueue->push(task);
}
void Executor::getTask()
{
}
void Executor::stop()
{
    for(size_t i = 0;i < _taskThreads.size();i++)
    {   
        _taskThreads[i]->stop();
        delete _taskThreads[i];
    }
    delete _taskQueue;
}