#ifndef __MessageFormats__
#define __MessageFormats__
enum MessageType
{
    GET = (1u << 0),
    PUT = (1u << 1),
    DELETE = (1u << 2),
    INVALIDATE = (1u << 3),
    SUCCESS = (1u << 4),
    FAILURE = (1u <<5)
};

struct __attribute__ ((__packed__)) MessageHeader
{
    uint32_t id;
    enum MessageType type;
    uint32_t keySize;
    uint32_t valueSize;
};

static const uint32_t MessageHeaderSize = sizeof(MessageHeader);
/*

struct __attribute__ ((__packed__)) SalResponseHeader
{
    uint32_t  id;
    enum MessageType status;
    //Note value will be present only in case of response status is success
    uint32_t valueSize;
};

struct __attribute__ ((__packed__)) InvRequestHeader
{
    uint32_t  id;
    enum MessageType type;
    uint32_t keySize;    
};


struct __attribute__ ((__packed__)) InvResponseHeader
{
    uint32_t  id;
    enum MessageType status; MessageHeader
};
*/
/*
static uint32_t SalResponseHeaderSize = sizeof(SalResponseHeader);
static uint32_t InvRequestHeaderSize = sizeof(InvRequestHeader);
static uint32_t InvResponseHeaderSize = sizeof(InvResponseHeader);
*/
#endif