package hpdos_rdma_offloaded.protocol;

import java.io.IOException;
import java.nio.ByteBuffer;

import com.ibm.darpc.DaRPCMessage;

public class InvalidationRequest implements DaRPCMessage {
    public byte[] key;
    private static int SERIALIZED_SIZE = 128 ;
    @Override
    public int write(ByteBuffer buffer) throws IOException {
        buffer.put(key);
        return SERIALIZED_SIZE;
    }

    @Override
    public void update(ByteBuffer buffer) throws IOException {
        if(key == null)
            key = new byte[128];
        buffer.get(key);
    }

    @Override
    public int size() {
        return SERIALIZED_SIZE;
    }

    public byte[] getKey() {
        return key;
    }

    public void setKey(byte[] key) {
        this.key = key;
    }
}
