package hpdos_rdma_offloaded.protocol;

import java.io.IOException;
import java.nio.ByteBuffer;

import com.ibm.darpc.DaRPCMessage;

public class InvalidationResponse implements DaRPCMessage{
    public static int SERIALIZED_SIZE = 4;
    private int ack;

    @Override
    public int write(ByteBuffer buffer) throws IOException
    {
        buffer.putInt(ack);   
        return 0;
    }

    @Override
    public void update(ByteBuffer buffer) throws IOException
    {
        buffer.getInt(ack);
    }

    @Override
    public int size() {
        
        return SERIALIZED_SIZE;
    }
    public void setAck(int ack){
        this.ack = ack;
    }
    public int getAck()
    {
        return this.ack;
    }
}
